using System.Collections.Generic;

namespace XamPivotGridXampl
{
    public class BucketRiskDtoFactory
    {
        public static IEnumerable<BucketRiskDto> GetAllExcept754L()
        {
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 11,
                Tenor = "2D",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 22,
                Tenor = "1W",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 33,
                Tenor = "3M",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 44,
                Tenor = "1Y",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 55,
                Tenor = "5Y",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };


            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 16.1,
                Tenor = "2D",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 22.5,
                Tenor = "1W",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 32.3,
                Tenor = "3M",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 43.8,
                Tenor = "1Y",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 3.2,
                Tenor = "5Y",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };


        }

        public static IEnumerable<BucketRiskDto> CreateAll()
        {

            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 11,
                Tenor = "2D",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 22,
                Tenor = "1W",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 33,
                Tenor = "3M",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 44,
                Tenor = "1Y",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "NL0010661930",
                Book = "754K",
                Risk = 55,
                Tenor = "5Y",
                Curve = "CASHI",
                Issuer = "France Telecom",
                Currency = "EUR"
            };



            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 16.1,
                Tenor = "2D",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 22.5,
                Tenor = "1W",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 32.3,
                Tenor = "3M",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 43.8,
                Tenor = "1Y",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "SWAP",
                AssetId = "2963955M1",
                Book = "754B",
                Risk = 3.2,
                Tenor = "5Y",
                Curve = "CASHD",
                Issuer = "France Telecom",
                Currency = "EUR"
            };


            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "FR0010809970",
                Book = "754L",
                Risk = 14.1,
                Tenor = "2D",
                Curve = "CASHF",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "FR0010809970",
                Book = "754L",
                Risk = 27.5,
                Tenor = "1W",
                Curve = "CASHF",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "FR0010809970",
                Book = "754L",
                Risk = 36.3,
                Tenor = "3M",
                Curve = "CASHF",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "FR0010809970",
                Book = "754L",
                Risk = 48.8,
                Tenor = "1Y",
                Curve = "CASHF",
                Issuer = "France Telecom",
                Currency = "EUR"
            };
            yield return new BucketRiskDto
            {
                AssetType = "GOV",
                AssetId = "FR0010809970",
                Book = "754L",
                Risk = 53.2,
                Tenor = "5Y",
                Curve = "CASHF",
                Issuer = "France Telecom",
                Currency = "EUR"
            };

          

        }
    }
}