using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Input;

namespace XamPivotGridXampl
{
    public class BucketRiskLayoutManager
    {
        private readonly string _directory;
        private const string _layoutFileSuffix = "_BucketRiskLayout.xml";
        private const string _directoryPrefix = @"C:\Temp";

        public ICommand SaveLayoutCommand { get; protected set; }
        public ICommand ChangeLayoutCommand { get; protected set; }

        public BucketRiskLayoutManager()
        {
            _directory = Path.Combine(_directoryPrefix, "BucketRisk");
            Layouts = new BucketRiskLayoutReader(_directory, _layoutFileSuffix, this).Read();
        }

        public IEnumerable<BucketRiskLayoutItemViewModel> Layouts { get; private set; }
    }

    public class BucketRiskSaveLayoutCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            var layoutItem = parameter as BucketRiskLayoutItemViewModel;
        }

        public event EventHandler CanExecuteChanged;
    }
}